Skip to main content

Documentation Index

Fetch the complete documentation index at: https://auth0-feat-authentication-api-migration.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

GET /authorize

Social

You can connect your Auth0 service to a social identity provider and allow your users to log in to your application via Facebook, Google, Apple, or other supported providers. To learn more about supported providers, visit Marketplace. To authenticate users with a social provider, make a GET call to the /authorize endpoint. It will return a 302 redirect to the social provider specified in the connection parameter.
Social connections only support browser-based (passive) authentication because most social providers don’t allow a username and password to be entered into applications that they don’t own. Therefore, the user will be redirected to the provider’s sign in page.

Remarks

  • If response_type=token, after the user authenticates on the provider, it will redirect to your application callback URL passing the Access Token and ID Token in the address location.hash. This is used for Single-Page Apps and also on Native Mobile SDKs.
  • The sample auth0.js script uses the library version 8. If you are using auth0.js version 7, please see this reference guide.

Learn More

Parameters

response_type
string
required
Specifies the token type (code or token)Allowed values: code, token
client_id
string
required
The client_id of your application
connection
string
The name of a social identity provider configured to your application
redirect_uri
string
required
The URL to which Auth0 will redirect after authorization
state
string
Opaque value to prevent CSRF attacks

Response

StatusDescription
302Redirect to the social identity provider